> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/api-reference/business-verification/registrations/create-registration/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # Create a registration for a business POST https://api.middesk.com/v1/businesses/{business_id}/registrations Content-Type: application/json Reference: https://docs.middesk.com/api-reference/business-verification/registrations/create-registration ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `business_id` (string, required) — Business ID ### Body (application/json) This endpoint expects an InternationalRegistrationRequestParam. - `file_number` (string, required) — The registration or file number issued by the international registry. - `country_code` (string, required) — ISO 3166-1 alpha-2 country code of the registry (e.g., `FR`, `DE`, `GB`). - `jurisdiction_details` (InternationalRegistrationRequestParamJurisdictionDetails, optional) — The sub-national jurisdiction for the registration. ## Response ### 201 registration created - `object` (string, required) - `id` (string, required) - `business_id` (string, required) - `name` (string, required) - `status` (string, required) - `jurisdiction` (string, required, nullable) — Indicates the relationship between the business and this jurisdiction. `DOMESTIC` or `FOREIGN` for US registrations; `HOME` or `EXTRA_PROVINCIAL` for Canada; `UNKNOWN` when undetermined; `null` for other international registrations. - `entity_type` (string, required, nullable) - `file_number` (string, required) - `state` (enum, required, nullable) — The US state for the registration. `null` for international registrations. - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY` - `sub_status` (string, optional, nullable) - `status_details` (string, optional, nullable) - `jurisdiction_details` (RegistrationJurisdictionDetails, optional, nullable) — The sub-national jurisdiction for international registrations. `null` for US registrations. - `country_code` (string, optional) — `US` for domestic registrations, or an ISO 3166-1 alpha-2 code for international registrations (e.g., `FR`, `DE`, `GB`). - `addresses` (list of string, optional) - `officers` (list of map from string to any, optional) - `registered_agent` (map from string to any, optional, nullable) - `registration_date` (date, optional, nullable) - `source` (string, optional, nullable) - `submitted` (boolean, optional) — `true` if you submitted the registration, `false` if Middesk sourced it. ## Errors ### 403 Create Registration Request Forbidden Error International Business Verification is not enabled - `errors` (list of ErrorResponseErrorsItem, required) ### 404 Create Registration Request Not Found Error business not found - `errors` (list of ErrorResponseErrorsItem, required) ### 422 Create Registration Request Unprocessable Entity Error invalid registration parameters - `errors` (list of ErrorResponseErrorsItem, required) ## Types ### InternationalRegistrationRequestParamJurisdictionDetails The sub-national jurisdiction for the registration. - `abbr` (string, optional) — Abbreviation of the sub-national jurisdiction. Required when `country_code` is `CA`. ### RegistrationJurisdictionDetails The sub-national jurisdiction for international registrations. `null` for US registrations. - `name` (string, optional, nullable) - `abbr` (string, optional, nullable) - `authority` (string, optional, nullable) — The registry authority for the jurisdiction. ### ErrorResponseErrorsItem - `message` (string, required) - `parameter` (string, optional) — Request parameter associated with the error, when applicable ## Examples **Request** ```json { "file_number": "123456789", "country_code": "CA", "jurisdiction_details": { "abbr": "AB" } } ``` **Response** ```json { "object": "registration", "id": "9b2e7c14-5d3a-4f8b-a1c2-6e7f8d9a0b12", "business_id": "68b56939-cfc5-4e8c-af0b-51e84d413670", "name": "Acme Corp", "status": "active", "jurisdiction": "HOME", "entity_type": "CORPORATION", "file_number": "123456789", "state": null, "sub_status": "GOOD_STANDING", "jurisdiction_details": { "name": "Alberta", "abbr": "AB", "authority": "Corporate Registry System (CORES)" }, "country_code": "CA", "addresses": [ "111 WELLINGTON STREET, OTTAWA, ON K1A 0A9, CANADA" ], "officers": [ { "key": "value" } ], "registration_date": "2019-04-12", "submitted": true } ``` **SDK Code** ```python Registration Canada import requests url = "https://api.middesk.com/v1/businesses/business_id/registrations" payload = { "file_number": "123456789", "country_code": "CA", "jurisdiction_details": { "abbr": "AB" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Registration Canada const url = 'https://api.middesk.com/v1/businesses/business_id/registrations'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"file_number":"123456789","country_code":"CA","jurisdiction_details":{"abbr":"AB"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Registration Canada package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.middesk.com/v1/businesses/business_id/registrations" payload := strings.NewReader("{\n \"file_number\": \"123456789\",\n \"country_code\": \"CA\",\n \"jurisdiction_details\": {\n \"abbr\": \"AB\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Registration Canada require 'uri' require 'net/http' url = URI("https://api.middesk.com/v1/businesses/business_id/registrations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"file_number\": \"123456789\",\n \"country_code\": \"CA\",\n \"jurisdiction_details\": {\n \"abbr\": \"AB\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java Registration Canada import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.middesk.com/v1/businesses/business_id/registrations") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"file_number\": \"123456789\",\n \"country_code\": \"CA\",\n \"jurisdiction_details\": {\n \"abbr\": \"AB\"\n }\n}") .asString(); ``` ```php Registration Canada request('POST', 'https://api.middesk.com/v1/businesses/business_id/registrations', [ 'body' => '{ "file_number": "123456789", "country_code": "CA", "jurisdiction_details": { "abbr": "AB" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Registration Canada using RestSharp; var client = new RestClient("https://api.middesk.com/v1/businesses/business_id/registrations"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"file_number\": \"123456789\",\n \"country_code\": \"CA\",\n \"jurisdiction_details\": {\n \"abbr\": \"AB\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Registration Canada import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "file_number": "123456789", "country_code": "CA", "jurisdiction_details": ["abbr": "AB"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/businesses/business_id/registrations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```